ServerEvents.recipes(event => {
event.remove({ output: 'dimpaintings:end_painting' })
event.remove({ output: 'dimpaintings:nether_painting' })

  event.shaped('dimpaintings:nether_painting', [
    'OOO',
    'OFO',
    'OOO',
  ], {
    F: 'twilightforest:magic_map_focus',
    O: 'minecraft:obsidian'
  })

  const { naturesaura } = event.recipes;

  naturesaura.tree_ritual(
    'dimpaintings:end_painting',
    [ 
      'alexscaves:vesper_wing', 
      'alexscaves:guano',
      'alexscaves:notor_gizmo',
      'alexscaves:dinosaur_nugget', 
      'alexscaves:pearl',
      'alexscaves:charred_remnant',
      'alexscaves:fissile_core',
      'alexscaves:heart_of_iron'
    ],
    'alexscaves:pewen_sapling',
    200
  ).id('kubejs:naturesaura/end_ritual');
});